Other packages > Find by keyword >

zukomp  

Portable Byte Compression with a Pluggable Codec Registry
View on CRAN: Click here


Download and install zukomp package within the R console
Install from CRAN:
install.packages("zukomp")

Install from Github:
library("remotes")
install_github("cran/zukomp")

Install by package version:
library("remotes")
install_version("zukomp", "0.1.0")



Attach the package and use:
library("zukomp")
Maintained by
Pedro Baltazar
[Scholar Profile | Author Map]
All associated links for this package
First Published: 2026-10-16
Latest Update: 2026-10-16
Description:
Compresses and decompresses raw vectors through a single codec-neutral interface backed by a runtime registry, so the set of available codecs is discovered rather than fixed at compile time. The 'DEFLATE' family ('gzip', 'zlib', and headerless 'DEFLATE') is built in from vendored 'miniz' sources, requiring no system compression library. Decompression enforces configurable output-size and expansion-ratio limits and reports failures through structured conditions. A registered C-callable interface lets other packages drive the codecs from C and register codecs of their own. The formats are specified in Deutsch (1996) <doi:10.17487/RFC1951>, Deutsch and Gailly (1996) <doi:10.17487/RFC1950>, and Deutsch (1996) <doi:10.17487/RFC1952>.
How to cite:
Pedro Baltazar (2026). zukomp: Portable Byte Compression with a Pluggable Codec Registry. R package version 0.1.0, https://cran.r-project.org/web/packages/zukomp. Accessed 25 Oct. 2026.
Previous versions and publish date:
No previous versions
Other packages that cited zukomp R package
View zukomp citation profile
Other R packages that zukomp depends, imports, suggests or enhances
Complete documentation for zukomp
Functions, R codes and Examples using the zukomp R package
Full zukomp package functions and examples
Downloads during the last 30 days

Today's Hot Picks in Authors and Packages

fstcore  
R Bindings to the 'Fstlib' Library
The 'fstlib' library provides multithreaded serialization of compressed data frames using the 'fst' ...
Download / Learn more Package Citations See dependency  
guardianapi  
Access 'The Guardian' Newspaper Open Data API
Access to 'The Guardian' newspaper's open API , containing ...
Download / Learn more Package Citations See dependency  
imputeTS  
Time Series Missing Value Imputation
Imputation (replacement) of missing values in univariate time series. Offers several imputation fu ...
Download / Learn more Package Citations See dependency  
RcmdrPlugin.aRnova  
R Commander Plug-in for Repeated-Measures ANOVA
R Commander plug-in for repeated-measures and mixed-design ('split-plot') ANOVA. It adds a new men ...
Download / Learn more Package Citations See dependency  
quickcode  
Quick and Essential 'R' Tricks for Better Scripts
The NOT functions, 'R' tricks and a compilation of some simple quick plus often used 'R' codes to im ...
Download / Learn more Package Citations See dependency  
CTT  
Classical Test Theory Functions
A collection of common test and item analyses from a classical test theory (CTT) framework. Analyses ...
Download / Learn more Package Citations See dependency  

29,218

R Packages

247,686

Dependencies

77,281

Author Associations

29,219

Publication Badges

© Copyright since 2022. All right reserved, rpkg.net.  Based in Cambridge, Massachusetts, USA